package com.hrsk.cloud.eg.adapter.controller;

import com.hrsk.cloud.eg.client.api.ApiService;
import com.hrsk.cloud.eg.client.dto.cmd.ApiInvokeCmd;
import com.hrsk.pangu.dto.SingleResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author: bianlanzhou
 * @create: 2024-11-09 10:33
 * @description: API Controller
 **/
@RestController
@RequestMapping("/api")
public class ApiController {
    @Resource
    private ApiService apiService;

    /**
     * 请求
     * @param apiInvokeCmd api请求CMD
     * @return 响应数据
     */
    @PostMapping("/invoke")
    public SingleResponse<String> invoke(@RequestBody ApiInvokeCmd apiInvokeCmd){
        return apiService.invoke(apiInvokeCmd);
    }
}
