package com.hrsk.cloud.eg.domain.api.channel.guide.common;

import lombok.Getter;
import lombok.experimental.Accessors;
import org.springframework.expression.spel.support.StandardEvaluationContext;

import java.util.Map;

/**
 * @author: bianlanzhou
 * @create: 2024-07-31 11:48
 * @description: API上下文
 **/
@Getter
@Accessors(chain = true)
public class ApiContext {
    /**
     * 入参
     */
    private final Map<String,Object> data;
    /**
     * spel context
     */
    private final StandardEvaluationContext spelContext = new StandardEvaluationContext();
    /**
     * 构造函数
     * @param data 入参
     */
    public ApiContext(Map<String,Object> data) {
        this.data = data;
        spelContext.setVariable("data",data);
    }
}
