package com.hrsk.cloud.eg.domain.api.channel.guide.common;

/**
 * @author: bianlanzhou
 * @create: 2024-11-11 11:02
 * @description: 接出API错误码枚举
 **/
public enum EgressApiErrorCodeEnum {

    ILLEGAL_INTEGRATION_MODE("100004","不合法的集成方式!"),
    AVAILABLE_API_CHANNEL_NOT_EXIST("100003","没有可用的API通道!"),
    API_CHANNEL_NOT_EXIST("100002","API通道不存在!"),
    API_NOT_EXIST("100001","API不存在!");
    private String code;

    private String message;
    /**
     * 前缀
     */
    private static final String PREFIX = "egress-";

    /**
     * 构造函数
     * @param code
     * @param message
     */
    EgressApiErrorCodeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    /**
     * 获取编码
     * @return 编码
     */
    public String getCode() {
        return PREFIX + code;
    }

    /**
     * 获取消息
     * @return 返回消息
     */
    public String getMessage() {
        return message;
    }
}
