package com.hrsk.cloud.eg.domain.api.channel.guide.http;

import com.google.common.collect.Lists;
import com.hrsk.cloud.eg.domain.api.channel.guide.common.ContentTypeEnum;
import com.hrsk.cloud.eg.domain.api.channel.guide.common.KeyValueObject;
import com.hrsk.cloud.eg.domain.api.channel.guide.common.ValueObject;
import lombok.Data;

import java.util.List;

/**
 * @author: bianlanzhou
 * @create: 2024-11-10 21:26
 * @description: HTTP API 请求配置
 **/
@Data
public class HttpApiRequestConfig {
    /**
     * 请求方法
     */
    private String method;
    /**
     * url地址
     */
    private String url;
    /**
     * header
     */
    private List<KeyValueObject> header = Lists.newArrayList();
    /**
     * path  a/b/b
     */
    private List<ValueObject> path = Lists.newArrayList();
    /**
     * search
     */
    private List<KeyValueObject> search = Lists.newArrayList();
    /**
     * 内容类型
     */
    private String contentType = ContentTypeEnum.APPLICATION_JSON.getCode();
    /**
     * body
     */
    private String body;
}
