package com.hrsk.cloud.eg.domain.api.channel.guide.http;

import lombok.Data;

import java.util.HashMap;

/**
 * @author: bianlanzhou
 * @create: 2024-11-12 18:20
 * @description: http api响应
 **/
@Data
public class HttpApiResponse extends HashMap<String,Object> {
    /**
     * http响应编码
     */
    private Integer httpCode;
    /**
     * 数据body
     */
    private Object data;

    /**
     * 构造函数
     * @param httpCode HTTP编码
     * @param data 数据
     */
    public HttpApiResponse( Integer httpCode, Object data) {
        super();
        setHttpCode(httpCode);
        setData(data);
    }

    public Integer getHttpCode() {
        return (Integer)get("httpCode");
    }

    public Object getData() {
        return get("data");
    }


    public void setHttpCode(Integer httpCode) {
        put("httpCode",httpCode);
    }

    public void setData(Object data) {
        put("data",data);
    }
}
